<?php

namespace ShineSoftware\Constriv\Controller\Hosted;

class Landing extends AbstractHosted {

    public function execute() {
        $parameters = $this->getRequest()->getParams();
        if (!empty($parameters)) {
            Mage::log(__METHOD__ . " (" . __LINE__ . ") - the bank server replies with these parameters: " . json_encode($parameters), null, 'shinesoftware_constriv.log');
            Mage::app()->getFrontController()->getResponse()->setRedirect(Mage::getBaseUrl() . 'constriv/hosted/success');
        } else {
            Mage::app()->getFrontController()->getResponse()->setRedirect(Mage::getBaseUrl() . 'constriv/hosted/failure');
        }
    }

}
