<?php

namespace ShineSoftware\Constriv\Block\Moto;

use Magento\Payment\Block\Form;
use Magento\Sales\Model\Order\Payment\Transaction;

class Enrolled extends Form {

    protected function _construct() {
        parent::_construct();
        $this->setTemplate('ShineSoftware_Constriv::constriv/moto/enrolled.phtml');
    }

    public function getInfo() {
        $order = $this->getOrder();
        $payment = $order->getPayment();
        $parentTransaction = $payment->lookupTransaction(false, Transaction::TYPE_AUTH);
        if ($parentTransaction) {
            return $parentTransaction->getAdditionalInformation(Transaction::RAW_DETAILS);
        }
        return false;
    }

}

;
