<?php


namespace ShineSoftware\Constriv\Model\Config;

use Magento\Framework\DataObject;

class Gateway extends DataObject
{
static public function getCollection()
{
return ['VI'=>__('VISA'),
'AE'=>__('American Express'),
'JCB'=>__('JCB'),
'MA'=>__('Maestro'),
'DC'=>__('Diners Club'),
'PP'=>__('Paypal'),
'MC'=>__('Mastercard')];
}
static public function getOptionArray()
{
return [
[
'value'=>'VI',
'label'=>__('VISA'),
],
[
'value'=>'MC',
'label'=>__('Mastercard'),
],
[
'value'=>'AE',
'label'=>__('American Express'),
],
[
'value'=>'JCB',
'label'=>__('JCB'),
],
[
'value'=>'MA',
'label'=>__('Maestro'),
],
[
'value'=>'DC',
'label'=>__('Diners Club'),
],
[
'value'=>'PP',
'label'=>__('Paypal'),
],
];
}
static public function toOptionArray()
{
return [
[
'value'=>'VI',
'label'=>__('VISA'),
],
[
'value'=>'MC',
'label'=>__('Mastercard'),
],
[
'value'=>'AE',
'label'=>__('American Express'),
],
[
'value'=>'JCB',
'label'=>__('JCB'),
],
[
'value'=>'MA',
'label'=>__('Maestro'),
],
[
'value'=>'DC',
'label'=>__('Diners Club'),
],
[
'value'=>'PP',
'label'=>__('Paypal'),
],
];
}
}
;