<?php


namespace ShineSoftware\Constriv\Observer;

use Magento\Framework\App\ObjectManager;
use Magento\Sales\Model\Order\Payment\Transaction;

abstract class AbstractObserver
{

public function saveOrderAfter($observer)
{
$event = $observer->getEvent();
$order = $event->getOrder();
$quote = $event->getQuote();
$session = ObjectManager::getInstance()->get('Magento\Checkout\Model\Session');
if(strpos($order->getPayment()->getMethodInstance()->getCode(),"constriv") !== false) {
$orderId = $order->getId();
$quoteId = $quote->getId();
$incrId = $order->getIncrementId();
$session->setData('apiQuoteId',$quoteId);
$session->setData('apiOrderId',$orderId);
$session->setData('apiOrderIncrementId',$incrId);
$parentTransaction = $order->getPayment()->lookupTransaction(false,Transaction::TYPE_AUTH);
if ($parentTransaction) {
$quote->setAdditionalData($parentTransaction->getAdditionalInformation(Transaction::RAW_DETAILS));
}
$quote->setIsActive(1)
->setReservedOrderId(NULL)
->save();
}
return $this;
}

};